### Name: JLL
### Title: Generalized Homothetic Production Function: Main Estimator
### Aliases: JLL
### Keywords: smooth regression

### ** Examples

#A simple simulation
d<- 1;  n=400
xx <- runif(n^d); zz <- runif(n^d);
x <- cbind(xx,zz)
e <- rnorm(n^d,sd=1)
G <- function(x){(1/2)*sin(2*pi*x)}
F <- function(z){-2*(z^2)+2*z-1/3}
M <- function(x,z){G(x)+F(z)}
H <- function(m){1+(16/7)*m}
z0<-1/4; r0<-H(0);
y <- H(M(x[,1],x[,2])) + e
m <- JLL(xx=x[,1],zz=x[,2],yy=y,p1=3,p2=1,pstar=1,h1=0.15,h2=0.7,ngrid=10,
         z0=z0,r0=r0)

#win.graph()
layout(matrix(c(1,2,1,2),2,2, byrow=TRUE),respect=TRUE)
plot(m$x,m$Ghat,type="l",lty=1)
lines(m$x,G(m$x),type="l",lty=2,col="blue")
plot(m$z,m$Fhat,type="l",lty=1)
lines(m$z,F(m$z),type="l",lty=2,col="blue")



